kate(1)

kate - Avancerad texteditor av KDE

kate [-s, --start namn] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding namn] [-l, --line rad] [-c, --column kolumn] [-i, --stdin] [--tempfile] [fil]

Beskrivning

Kate är KDE:s avancerade texteditor.

Kate tillhandahåller också redigeringsdelen i diverse program, med namnet KWrite.

Några av Kates många funktioner omfattar inställningsbar syntaxfärgläggning för språk som går från C och C++ till HTML och Bash-skript, möjlighet att skapa och hantera projekt, ett gränssnitt för flera dokument (MDI), och en inbyggd terminalemulator

Men Kate är mer än en editor för programmerare. Dess möjlighet att öppna flera filer på en gång gör den idealisk för att redigera de många inställningsfilerna i UNIX®. Det här dokumentet är skrivet med Kate.

Väljare

-s, --start namn
    Starta Kate med en given session.

--startanon
    Starta Kate med en ny anonym session, medför -n.

-n, --new
    Tvinga att en ny instans av Kate startas (det ignoreras om start används, och en annan instans av Kate redan har öppnat given session), tvingad om inga parametrar eller ingen webbadress alls anges.

-b, --block
    Om en instans av Kate som redan kör används, blockera till den har avslutas, om webbadresser att öppna anges.

-p, --pid pid
    Försök bara återanvända en instans av Kate med detta pid (ignoreras om start används och en annan instans av Kate redan har den angivna sessionen öppen).

-e, --encoding namn
    Ange kodning för filen som ska öppnas.

    Du kan använda det här för att till exempel tvinga en fil att öppnas med formatet UTF-8. (Kommandot iconv -l tillhandahåller en lista med kodningar, som kan vara till hjälp för dig.)

-l, --line rad
    Flytta till den här raden.

-c, --column kolumn
    Flytta till den här kolumnen.

-i, --stdin
    Läs innehållet från standardinmatningen.

--tempfile
    Filerna och webbadresserna som öppnas av programmet kommer att tas bort efter användning

fil
    Fil att öppna.

Se också
    Mer detaljerad användardokumentation är tillgänglig med help:/kate (skriv antingen in webbadressen i Konqueror, eller kör khelpcenter help:/kate).
    kf5options(7)
    qt5options(7)
    Det finns också ytterligare information tillgänglig på Kates webbplats[1].

Exempel

För att öppna en fil som heter kod.cpp på kolumn 15, rad 25, i ett befintligt Kate-fönster, skulle du kunna använda:

    kate -c 15 -l 25 kod.cpp

Om du har en aktiv anslutning till Internet, kan du dra fördel av KDE:s nätverkstransparens för att öppna en fil från en FTP-plats. Om du inte har skrivrättigheter på fjärrservern, öppnas filen bara för läsning och du blir tillfrågad om ett lokalt filnamn att spara i om du gör ändringar. Om du har skrivrättigheter sparas ändringar transparent via nätverket.

    kate ftp://ftp.kde.org/pub/kde/README

Upphovsmän

Utvecklare av Kate är Christoph Cullmann <cullmann@kde.org>. En fullständig lista med upphovsmän och bidragsgivare är tillgänglig i den fullständiga användarhandboken som omnämns ovan.

Lauri Watts <lauri@kde.org>

1.  Kates webbplats
    https://kate-editor.org/